Bug 1168748 - Need final Fedora 21 build of spin-kickstarts
Summary: Need final Fedora 21 build of spin-kickstarts
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
(Show other bugs)
Version: 21
Hardware: All All
unspecified
high
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords:
Depends On: 1168983
Blocks: F21FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2014-11-27 17:50 UTC by Adam Williamson
Modified: 2014-12-05 03:27 UTC (History)
6 users (show)

Fixed In Version: spin-kickstarts-0.21.10-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-05 03:27:01 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Williamson 2014-11-27 17:50:13 UTC
We need a build of spin-kickstarts from the current f21 branch, hopefully the final build for F21 (I'm not aware of any needed changes for blocker/FE bugs).

This is a Final blocker, criterion https://fedoraproject.org/wiki/Fedora_21_Final_Release_Criteria#Kickstarts :

"A spin-kickstarts package which contains the exact kickstart files used to build the release must be present in the release repository. The included kickstarts must define the correct set of release repositories."

but I think it does not need to block *image* compose, as the spin-kickstarts package doesn't wind up on any of the released images AFAIK - it only needs to block final freeze of the 21 tree.

Comment 1 Bruno Wolff III 2014-11-28 05:08:48 UTC
It's kind of late for me now, but I'll get the build done tomorrow (Friday) during the day. I'm off work and don't have any family or other stuff going on.

Comment 2 Bruno Wolff III 2014-11-28 16:08:19 UTC
RC1 bumped the Games Spin over size, so I want to hold off a bit doing the new spin-kickstarts build, as I'll probably need to make a change to games today to get under size unless the size increase was due to something that shouldn't have happened.

Comment 3 Adam Williamson 2014-11-29 04:10:06 UTC
well, RC1 has been built and at least theoretically could be shipped: once we get to the RC stage it's dangerous to start making changes to spin-kickstarts certainly before we've decided the RC has an accepted blocker. If RC1 tested out with no AcceptedBlockers, you would not have any RC2 to try and apply your changes to the Games spin, we would be shipping RC1 and would need a spin-kickstarts package that matches the spin-kickstarts checkout it was built from.

Comment 4 Fedora Update System 2014-11-29 04:22:20 UTC
spin-kickstarts-0.21.9-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/spin-kickstarts-0.21.9-1.fc21

Comment 5 Bruno Wolff III 2014-11-29 04:24:15 UTC
This won't match what was used for RC1, but hopefully does match what gets used for final.

Comment 6 Bruno Wolff III 2014-11-29 04:32:54 UTC
If we do release RC1 we'll have to redo this, but then I'll need to know what commit was actually used. It doesn't seem that the latest one is always used, so I can't go by that.

Also, if this just needs to be an update (otherwise we'd have to do a new build), it's not really a final blocked. It just needs to get done eventually. As long as someone remembers the actual tag used for the final build we can go back and make a matching one.

(Note there were some recent KDE changes and my guess is that they weren't used for RC1 build either.)

Comment 7 Adam Williamson 2014-11-29 04:35:16 UTC
It needs to go in the frozen tree. It doesn't block image composes, but it blocks sign off of the frozen tree. It's a compliance/reproducibility issue - the frozen tree has to contain the bits used to build it, including the spin-kickstarts.

And yes, people need to stop freaking well touching comps and spin-kickstarts in freezes without notification...

Comment 8 Adam Williamson 2014-11-29 04:36:05 UTC
the KDE changes were made only on master, not f21.

Comment 9 Bruno Wolff III 2014-11-29 05:23:26 UTC
OK. Can you check what exact commit was used for the RC1 build, so what to build?
(Part of the issue that got Games was that the changes to XFCE were committed 7 days ago, but weren't used to build TC4 even though that was built 4 days ago.)
The Games Spin still works and fits on a DVD, it just won't be downloadable to FAT file systems, so it isn't a disaster to use the RC1 version.

Comment 10 Adam Williamson 2014-11-29 06:20:40 UTC
we're probably going to need an rc2, so let's not worry about it for now.

Comment 11 Fedora Update System 2014-11-29 21:00:17 UTC
Package spin-kickstarts-0.21.9-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing spin-kickstarts-0.21.9-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15956/spin-kickstarts-0.21.9-1.fc21
then log in and leave karma (feedback).

Comment 12 Mike Ruckman 2014-12-01 16:35:18 UTC
Discussed in 2014-12-01 blocker review meeting. Accepted as a blocker: this is a clear blocker under the criterion requiring a spin-kickstarts build that matches the release, but note it does not block image compose, as the package does not appear on the images.

Comment 13 Bruno Wolff III 2014-12-02 20:09:28 UTC
Can you confirm which commit was used for RC2? I think it was probably 9ab44c5d5587b568b984b923259326ed1b08d310 which would be after what was used for spin-kickstarts-0.21.9-1.fc21. Most likely we'll need to do another build.

Comment 14 Adam Williamson 2014-12-02 21:37:13 UTC
dgilmore could confirm, but please hold off in any case - I think we're probably going to want to respin the lives for a font issue I'm working on ATM.

Comment 15 Adam Williamson 2014-12-03 04:53:29 UTC
OK, so RC4 was built with commit 59e73c16ee88d29d0c0d923bba43c0cdc53d8a01 . Can you please build a spin-kickstarts package with that commit and submit it? Thanks!

Comment 16 Bruno Wolff III 2014-12-03 16:32:31 UTC
I'll get this done today, but maybe not until evening.

Comment 17 Bruno Wolff III 2014-12-03 17:22:59 UTC
I fired off http://koji.fedoraproject.org/koji/taskinfo?taskID=8286858 for the build. I'll do the bohdi part later today.

Comment 18 Fedora Update System 2014-12-03 19:27:09 UTC
spin-kickstarts-0.21.10-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/spin-kickstarts-0.21.10-1.fc21

Comment 19 Bruno Wolff III 2014-12-03 20:43:37 UTC
I'll double check later, but I expect that 0.21.10 will be good for RC5 as nothing has changed in upstream spin-kickstarts.

Comment 20 Adam Williamson 2014-12-03 20:51:41 UTC
yes, it should be fine (we debated adding the fontconfig hammer to ARM but decided it was too late).

Comment 21 Adam Williamson 2014-12-03 22:28:22 UTC
For the record, pbrobinson affirms RC5 compose was done with 59e73c1, as is visible in the koji task names.

I have verified that the files in the 0.21.10-1.fc21 build match those in the checkout used for the compose.

Comment 22 Fedora Update System 2014-12-05 03:27:01 UTC
spin-kickstarts-0.21.10-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.